geany (1.36-1) unstable; urgency=medium

  * [6f3ec40] New upstream version 1.36

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 20 Nov 2019 11:56:18 +0800

geany (1.35-1) unstable; urgency=medium

  * [f31e7fb] New upstream version 1.35
  * [e24213e] Update 20_debian_control_tags.patch
  * [b711a9b] Fix makeSimpleTag call in 20_debian_control_tags.patch
  * [cd4c064] Update Standards-Version to 4.2.0

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 May 2019 10:00:48 +0800

geany (1.34.1-1) unstable; urgency=medium

  * [1d91a3c] Update Vcs-* fields to salsa
  * [a70a99b] New upstream version 1.34.1

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 30 Jan 2019 14:22:58 +0800

geany (1.33-1) unstable; urgency=medium

  * [f8a8a32] New upstream version 1.33

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 17 Apr 2018 01:07:14 +0800

geany (1.32-2) unstable; urgency=medium

  * [63e6a67] Split build-deps into multiple lines
  * [8d2ab35] Build with gtk3
  * [1971363] Extract GEANY_ABI_VERSION and GEANY_API_VERSION properly.
    These values are shifted left by some bits when gtk3 is enabled, so we can't
    just use awk magic alone to dig it out of plugindata.h

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Jan 2018 01:17:14 +0800

geany (1.32-1) unstable; urgency=medium

  * [59dd949] Add eht16's GPG key to signing-key.asc
  * [288ae1a] New upstream version 1.32

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 24 Dec 2017 18:09:25 +0800

geany (1.31-1) unstable; urgency=medium

  * [515429f] New upstream version 1.31

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 22 Jul 2017 00:58:52 +0800

geany (1.30.1-1) experimental; urgency=medium

  * [187ca62] Imported Upstream version 1.30.1

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 21 Mar 2017 18:07:41 +0800

geany (1.30-1) experimental; urgency=medium

  * [1498191] Imported Upstream version 1.30

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 Mar 2017 12:08:52 +0800

geany (1.29-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * [dffc7cc] New upstream version 1.29
  * [bbd23eb] drop 30_fix_invisible_fields_with_gtk3.patch, applied upstream
  * [c6cfa9c] update conf.c location in 20_debian_control_tags.patch

  [ Chow Loong Jin ]
  * [ffd5baf] Drop vStringTerminate

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 16 Nov 2016 22:55:28 +0800

geany (1.28-2) unstable; urgency=medium

  * Custom theming fixes for Adwaita 3.20/GTK 3.20 (Closes: #835370)
  * drop des@ from uploaders (Closes: #838044)
  * mark geany-common Multi-Arch: foreign (closes: 813757)

 -- Evgeni Golov <evgeni@debian.org>  Fri, 23 Sep 2016 16:21:07 +0200

geany (1.28-1) unstable; urgency=medium

  [ Chow Loong Jin ]
  * [7f7df81] Imported Upstream version 1.28

  [ Evgeni Golov ]
  * [2c63766] use canonical https urls for Vcs-* fields
  * [788dcb0] Standards-Version: 3.9.8

 -- Evgeni Golov <evgeni@debian.org>  Mon, 22 Aug 2016 20:39:29 +0200

geany (1.27-1) unstable; urgency=medium

  * [3d76fe6] Imported Upstream version 1.27
  * [e4625fe] Drop Files-Excluded line from d/copyright
    waf has been dropped upstream

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 13 Mar 2016 21:42:46 +0800

geany (1.26+dfsg-1) unstable; urgency=medium

  * [15f8c2e] Update upstream signing key
  * [138bf6e] Switch to copyright-format 1.0
  * [6e780b0] Add repacksuffix to debian/watch
  * [79ec94c] Drop get-orig-source bits.
    We're using Files-Excluded now.
  * [d7db5d9] Imported Upstream version 1.26+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 24 Nov 2015 15:01:10 +0800

geany (1.26-1) UNRELEASED; urgency=medium

  [ Evgeni Golov ]
  * [c628bb0] Imported Upstream version 1.26~git20151108+dfsg
  * [aab78c7] update 20_add_debian_specific_filetypes.patch
  * [577b467] update 20_use_sensible_browser.patch
  * [1c2175b] update 20_load_plugins_from_all_paths.patch

  [ Chow Loong Jin ]
  * [fac7562] Imported Upstream version 1.26
  * [9772408] Drop geany.menu.
    We're migrating away from the menu system as per
    https://lists.debian.org/debian-devel-announce/2015/09/msg00000.htmla

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 18 Nov 2015 12:02:26 +0800

geany (1.25+dfsg-1) unstable; urgency=medium

  * [f081631] Imported Upstream version 1.25+dfsg

 -- Evgeni Golov <evgeni@debian.org>  Sun, 12 Jul 2015 19:59:06 +0200

geany (1.25~20150705git6ebf90a+dfsg-1) experimental; urgency=medium

  * [43e8700] Imported Upstream version 1.25~20150705git6ebf90a+dfsg
  * [3de0503] make generation of dfsg tarballs more robust
  * [2991f3b] drop versioned depends from libgtk2.0-dev, we have old
    enough versions
  * [39efbfd] refresh patches against Geany 1.25
  * [14e42ba] Standards-Version: 3.9.6
  * [6e86814] do not install libgeany.la

 -- Evgeni Golov <evgeni@debian.org>  Sun, 05 Jul 2015 13:09:50 +0200

geany (1.24.1+dfsg-1) unstable; urgency=medium

  * [b5fa158] Imported Upstream version 1.24+dfsg
  * [e675c2e] Imported Upstream version 1.24.1+dfsg
  * [2dcf5a3] refresh 20_add_debian_specific_filetypes.patch against 1.24
  * [2c30296] Standards-Version: 3.9.5
  * [38a6aaa] add a lintian override for the templates which contain license texts
  * [55e5423] add signature check for downloads

 -- Evgeni Golov <evgeni@debian.org>  Sat, 19 Apr 2014 14:30:10 +0200

geany (1.23.1+dfsg-1) unstable; urgency=low

  * [3b1ced4] Imported Upstream version 1.23.1+dfsg
  * [b418909] Update debian-branch in gbp.conf

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 20 May 2013 00:18:56 +0800

geany (1.23+dfsg-2) unstable; urgency=low

  * Upload to unstable, fixes FTBFS (Closes: #707368)
  * [a472a80] Enable parallel builds
  * [17a6378] No-change bump of Standards-Version to 3.9.4
  * [ea78f31] Add README.source describing git branch structure

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 May 2013 15:27:35 +0800

geany (1.23+dfsg-1) experimental; urgency=low

  * [eead8ee] Imported Upstream version 1.23+dfsg
  * [6d56635] use debian-branch = experimental
  * [d555dec] refresh patches against 1.23

 -- Evgeni Golov <evgeni@debian.org>  Wed, 13 Mar 2013 07:28:40 +0100

geany (1.22+dfsg-2) unstable; urgency=low

  * [dd3393d] Bump geany-plugins-common breaks version.
    0.21 was the version in which the use of geany-abi-$ABI was added to both
    packages.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 20 Jun 2012 21:57:22 +0800

geany (1.22+dfsg-1) unstable; urgency=low

  [ Chow Loong Jin ]
  * Import 20_use_x_terminal_emulator.patch from Ubuntu (Closes: #670510)
  * Fix dversionmangle in debian/watch

  [ Evgeni Golov ]
  * use +dfsg instead of .dfsg for the version, thanks lintian
  * Imported Upstream version 1.22+dfsg
  * drop 20_explicitly_depend_on_gmodule.patch
  * refresh patches against 1.22
  * Standards-Version: 3.9.3
  * Build-Depends: debhelper (>= 9)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 19 Jun 2012 20:35:02 +0200

geany (0.21.dfsg-2) unstable; urgency=low

  [ Chow Loong Jin ]
  * [b70e89e] Fix dversionmangle having two = signs in watch

  [ Evgeni Golov ]
  * [3cbb120] Explicitly depend on GModule
    Closes: #666893
    Upstream: https://github.com/geany/geany/commit/7b2f0fe
  * [c9724db] drop unused --enable-pipe parameter to configure

 -- Evgeni Golov <evgeni@debian.org>  Sun, 22 Apr 2012 20:08:05 +0200

geany (0.21.dfsg-1) unstable; urgency=low

  * [0c978c1] Change my email to debian.org
  * [6474558] Imported Upstream version 0.21.dfsg (Closes: #654466)
  * [1cbe34d] Add get-orig-source target for dropping waf
  * [19fe20d] Add dversionmangle option to watchfile

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Jan 2012 01:50:25 +0800

geany (0.21-1) unstable; urgency=low

  * Imported Upstream version 0.21
  * Refresh filetypes patch against 0.21
  * Fix Description (thanks lintian!)
  * Standards-Version: 3.9.2
  * dpatch → 3.0 (quilt)
  * Switch to new dh-style debian/rules
  * Add a patch to search for plugins in both, multiarch and
    non-multiarch folders
  * Add misc:Pre-Depends to Pre-Depends for multiarch
  * Generate geany:Provides with GEANY_ABI_VERSION and GEANY_API_VERSION
  * Split arch independent parts into geany-common
  * Set maintainer to pkg-geany
  * Set Vcs-* headers for pkg-geany
  * Drop README.source, we're using standard 3.0 quilt now

 -- Evgeni Golov <evgeni@debian.org>  Thu, 17 Nov 2011 12:59:57 +0100

geany (0.20-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621289).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 12:08:16 +0200

geany (0.20-1) unstable; urgency=low

  * New upstream release (Closes: #614763, #602073)

 -- Damián Viano <des@debian.org>  Sat, 26 Feb 2011 18:33:07 -0300

geany (0.19.1-1) unstable; urgency=low

  * New upstream release (Closes: #590284)
    - Thanks to Colomban Wendling for pursuing #590284
  * add a sed hack to fix dlsearchpath for broken libtool used upstream

 -- Damián Viano <des@debian.org>  Mon, 30 Aug 2010 18:09:16 -0300

geany (0.19-1) unstable; urgency=low

  * New upstream release (Closes: #585849, #580911, #542785)
  * add 20_use_sensible_browser to change the default browser (Closes: #573454)

 -- Damián Viano <des@debian.org>  Thu, 24 Jun 2010 21:35:05 -0300

geany (0.18-1) unstable; urgency=low

  * New upstream release

 -- Damian Viano <des@debian.org>  Mon, 17 Aug 2009 17:16:21 -0300

geany (0.17-1) unstable; urgency=low

  * New upstream release
  * 20_add_debdiff_as_diff_type.dpatch renamed as
    20_add_debian_specific_filetypes.dpatch, 
    - add .dpatch as a diff filetype
    - add control as a conf filetype
  * 20_change_gpl_location.dpatch freshen
  * add 20_debian_control_tags.dpatch better handling of debian/control files.
    Thanks to Enrico Tröger. (Closes: #520776)
  * debian/copyright Add Frank Lanitz, update years

 -- Damián Viano <des@debian.org>  Fri, 29 May 2009 21:22:54 -0300

geany (0.15-1) experimental; urgency=low

  * New upstream release
    - Allow loading projects from command line (Closes: #498854)
    - Fix a problem disabling the save icon inappropriately (Closes: #482875)
    - Detect makefiles from shebang and force using tabs
      for their indentation (Closes: #481198)
  * Remove Apps from doc-base section
  * Change homepage and related links to the new www.geany.org official domain

 -- Damián Viano <des@debian.org>  Sun, 26 Oct 2008 19:44:46 -0200

geany (0.14-1) unstable; urgency=low

  * New upstream release (Closes: #478126)

 -- Damián Viano <des@debian.org>  Fri, 02 May 2008 11:37:45 -0300

geany (0.13-1) unstable; urgency=low

  * New upstream release
    - Add filebrowser plugin (Closes: #440978)

 -- Damián Viano <des@debian.org>  Sat, 16 Feb 2008 19:27:19 -0200

geany (0.12-2) unstable; urgency=low

  * Add 20_add_debdiff_as_diff_type to recognize .debdiff files as diffs
    (Closes: #453516)

 -- Damián Viano <des@debian.org>  Wed, 05 Dec 2007 16:47:02 -0300

geany (0.12-1) unstable; urgency=low

  * New upstream release
    - Updates scintilla component (Closes: #438876, #426766)
    - Add mimetype declaration in the .desktop file (Closes: #416620)
  * Add intltool to Build-Depends

 -- Damián Viano <des@debian.org>  Mon, 29 Oct 2007 18:24:05 -0300

geany (0.11-2) unstable; urgency=low

  * Add versioned dependency against libgtk2.0-dev since geany code depends on
    it for notebook dnd at the moment

 -- Damián Viano <des@debian.org>  Mon, 11 Jun 2007 14:47:31 -0300

geany (0.11-1) unstable; urgency=low

  * New upstream release

 -- Damián Viano <des@debian.org>  Thu, 24 May 2007 07:15:52 -0300

geany (0.10.2-3) unstable; urgency=low

  * Change suggests to newer libvte, thanks to Andreas Tscharner (Closes: #421568)

 -- Damián Viano <des@debian.org>  Mon, 30 Apr 2007 20:17:06 -0300

geany (0.10.2-2) unstable; urgency=low

  * Upload to get geany 0.10.2 into sid
  * Change maintainer mail address

 -- Damián Viano <des@debian.org>  Sat, 28 Apr 2007 08:34:00 -0300

geany (0.10.2-1) experimental; urgency=low

  * New upstream release

 -- Damián Viano <debian@damianv.com.ar>  Sun, 25 Feb 2007 16:39:56 -0300

geany (0.10.1-1) unstable; urgency=low

  * New upstream release

 -- Damián Viano <debian@damianv.com.ar>  Sun, 25 Feb 2007 15:31:13 -0300

geany (0.10-1) unstable; urgency=low

  * New upstream release

 -- Damián Viano <debian@damianv.com.ar>  Sun, 24 Dec 2006 12:17:24 -0300

geany (0.9-1) unstable; urgency=low

  * New upstream release

 -- Damián Viano <debian@damianv.com.ar>  Fri, 29 Sep 2006 06:13:18 -0300

geany (0.8-1) unstable; urgency=low

  * New upstream release
    - Fixed clipboard commands used in the find entry and Scribble (Closes: #377060)
    - Don't autocomplete constructs inside a string (Closes: #377090)

 -- Damián Viano <debian@damianv.com.ar>  Wed,  9 Aug 2006 19:35:11 -0300

geany (0.7.1-1) unstable; urgency=low

  * New upstream release
    - Added Scintilla license
  * debian/copyright: included Scintilla license and copyright

 -- Damián Viano <debian@damianv.com.ar>  Sun, 25 Jun 2006 12:10:13 -0300

geany (0.7-1) unstable; urgency=low

  * Initial release (Closes: #360760)

 -- Damián Viano <debian@damianv.com.ar>  Tue,  6 Jun 2006 12:54:23 -0300

